View Issue Details

IDProjectCategoryView StatusLast Update
0038586FPCRTLpublic2021-03-19 10:25
ReporterDoctorS Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionduplicate 
PlatformLinux OSUbunta 
Summary0038586: Incorrect work with tzdata.
DescriptionIncorrect work with tzdata.
Error in rtl / unix / timezone.inc file (line 389, revision 48879). It reads int64, and according to the specification https://tools.ietf.org/id/draft-murchison-tzdist-tzif-15.html leap field second records (leapcnt x (TIME_SIZE + 4))
Steps To ReproducePlayback - set the time zone UTC + 03: 00 Europe / Moscow in the unix system, and display Now.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Relationships

duplicate of 0038630 closedMichael Van Canneyt function NOW return time excluding time zone 

Activities

DoctorS

2021-03-17 09:37

reporter   ~0129731

Same problem: https://bugs.freepascal.org/view.php?id=38630

DoctorS

2021-03-17 10:05

reporter   ~0129733

$ ls -al /etc/localtime
lrwxrwxrwx 1 root root 33 фев 20 09:43 /etc/localtime -> /usr/share/zoneinfo/Europe/Moscow


The same problem. TimeZone File with problem repeat (it's default timezone file):
$ uname -a
Linux doctors-VirtualBox 5.8.0-43-generic 00000490000021:0000020.04.1-Ubuntu SMP Fri Feb 5 09:57:56 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
Moscow (1,535 bytes)   
TZif2N&��_ǝ>�y�*��9i��W���l�9��<�@�m��=2��h��=��EP��`'���@�P�����C@̓�����������s�|d� lU�!\F�"L7�#<(�$,�%
�&��''p'�p(��)x��)�p*��p+��p,��p-��p.��p/t�p0d�p1]��2r��3=��4Ry�5��62[�6�b�8xp8�D�9�Zp:�&�;�<p<�Cp=�p>�%p?�p@fpA��BE�pCc��D%�pEC��F�pG#��G���I��IΫ�J��K���ḶpM�o�TL`	



























#9#91�#w?�8@*08@FP *08@*0! 8@8@*0LMTMMTMSTMDSTMSDMSK+05EETEESTTZif2N&����V�������_�����>�y�����*������9i������W�������l����9������<�@�����m������=2������h������=������EP������`'���@�P�����C@̓�����������s�|d� lU�!\F�"L7�#<(�$,�%
�&��''p'�p(��)x��)�p*��p+��p,��p-��p.��p/t�p0d�p1]��2r��3=��4Ry�5��62[�6�b�8xp8�D�9�Zp:�&�;�<p<�Cp=�p>�%p?�p@fpA��BE�pCc��D%�pEC��F�pG#��G���I��IΫ�J��K���ḶpM�o�TL`	



























#9#91�#w?�8@*08@FP *08@*0! 8@8@*0LMTMMTMSTMDSTMSDMSK+05EETEEST
MSK-3
Moscow (1,535 bytes)   

Michael Van Canneyt

2021-03-19 10:25

administrator   ~0129757

Fixed.
Ondrej Pokorny also fixed part of the problem:
the Moscow timezone file does not have leap seconds, so the problem was elsewhere.
But it is correct that the leap second reading was wrong, I fixed that too.

Thanks for reporting!

Issue History

Date Modified Username Field Change
2021-03-05 15:22 DoctorS New Issue
2021-03-17 09:37 DoctorS Note Added: 0129731
2021-03-17 09:44 Michael Van Canneyt Relationship added related to 0038360
2021-03-17 09:44 Michael Van Canneyt Relationship deleted related to 0038360
2021-03-17 09:45 Michael Van Canneyt Relationship added duplicate of 0038630
2021-03-17 10:05 DoctorS Note Added: 0129733
2021-03-17 10:05 DoctorS File Added: Moscow
2021-03-19 10:25 Michael Van Canneyt Assigned To => Michael Van Canneyt
2021-03-19 10:25 Michael Van Canneyt Status new => resolved
2021-03-19 10:25 Michael Van Canneyt Resolution open => duplicate
2021-03-19 10:25 Michael Van Canneyt FPCTarget => -
2021-03-19 10:25 Michael Van Canneyt Note Added: 0129757